Package com.xebialabs.xlrelease.domain.udm.reporting

# Class BuildRecord

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.facet.Facet
com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
com.xebialabs.xlrelease.domain.udm.reporting.BuildRecord

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="Build", description="Unified Data Model for Build") public class BuildRecord extends TaskReportingRecord

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `CONFIGURATION_URI, scope`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBuild()`
  `String`
  `getBuild_url()`
  `String`
  `getDuration()`
  `Date`
  `getEndDate()`
  `String`
  `getOutcome()`
  `String`
  `getProject()`
  `Date`
  `getStartDate()`
  `void`
  `setBuild(String build)`
  `void`
  `setBuild_url(String build_url)`
  `void`
  `setDuration(String duration)`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setOutcome(String outcome)`
  `void`
  `setProject(String project)`
  `void`
  `setStartDate(Date startDate)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

  `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BuildRecord

    public BuildRecord()

- ## Method Details

  - ### getProject

    public String getProject()

  - ### setProject

    public void setProject(String project)

  - ### getBuild

    public String getBuild()

  - ### setBuild

    public void setBuild(String build)

  - ### getOutcome

    public String getOutcome()

  - ### setOutcome

    public void setOutcome(String outcome)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)

  - ### getDuration

    public String getDuration()

  - ### setDuration

    public void setDuration(String duration)

  - ### getBuild_url

    public String getBuild_url()

  - ### setBuild_url

    public void setBuild_url(String build_url)